Workspaces / REST API

Delete integration credential

Permanently remove one exact BYOK integration credential from the authenticated workspace. Requires confirm=true. This cannot be undone without re-entering the provider secret.

DELETE /api/v1/integrations/credentialsDeterministic operation

Parameters

workspaceIdOptional · string
Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
credentialIdRequired · string
Exact credential ID returned by list-integrations.
confirmRequired · boolean
See the input schema for this field.
Request example
curl -X DELETE "https://app.pipeline.help/api/v1/integrations/credentials?credentialId=00000000-0000-4000-8000-000000000000&confirm=true" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string",
      "minLength": 1,
      "description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
    },
    "credentialId": {
      "type": "string",
      "description": "Exact credential ID returned by list-integrations."
    },
    "confirm": {
      "type": "boolean",
      "const": true
    }
  },
  "required": [
    "credentialId",
    "confirm"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview